Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003939Doomseeker[All Projects] Suggestionpublic2021-12-12 22:432021-12-28 12:29
ReporterDrinkyBird 
Assigned ToZalewa 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.3.3Fixed in Version1.3.3 
Summary0003939: Add support for Zandronum's SQF2_COUNTRY
DescriptionZandronum 3.1 adds a new SQF2_COUNTRY query field, which allows servers to specify their own country without relying on IP geolocation.
Additional Informationhttps://wiki.zandronum.com/Launcher_protocol [^]
https://osdn.net/projects/zandronum/scm/hg/zandronum-stable/commits/248113fb1bb6 [^]
Attached Filespng file icon doomseekerCountryTooltip.png [^] (7,222 bytes) 2021-12-21 17:23

- Relationships
related to 0003894resolvedDrinkyBird Zandronum Allow servers to present their country to launchers 

-  Notes
User avatar (0021887)
DrinkyBird (reporter)
2021-12-12 22:44
edited on: 2021-12-13 07:37

Should mention this is related to 0003894 (which is closed so I can't edit it and add a relationship).

User avatar (0021889)
WaTaKiD (updater)
2021-12-12 23:06

added the relationship
User avatar (0021965)
Zalewa (developer)
2021-12-21 13:45

Commits:

1.https://bitbucket.org/Doomseeker/doomseeker/commits/cfbf2f8e7ef43a65190b88573d482c95cc001251 [^]
2.https://bitbucket.org/Doomseeker/doomseeker/commits/3c999eb21a85d0e0e99e800102a9f39e216b1d58 [^]

Doomseeker will honor the SQF2_COUNTRY field by default but the user is permitted to disable this option.
User avatar (0021967)
DrinkyBird (reporter)
2021-12-21 17:23
edited on: 2021-12-21 17:26

I notice that the tooltip when you hover over a server with SQF2_COUNTRY set still shows the IP2C result, instead of the country the server specified. See attached PNG, the server has sv_country set to DEU (as an example), but the tooltip still says UK.

User avatar (0021969)
Zalewa (developer)
2021-12-21 19:32

Good catch. I'll fix that.
User avatar (0021978)
Zalewa (developer)
2021-12-22 19:32

This rather large commit should fix this. I couldn't help myself but refactor the IP2C code too a bit:https://bitbucket.org/Doomseeker/doomseeker/commits/82634a1c5a87c665966c1d440cc400f70d4eb126 [^]

The updated plugin was released on the beta channel.
User avatar (0021983)
WaTaKiD (updater)
2021-12-22 20:42

played around with the server country setting a bit and it seems to work correctly
User avatar (0021987)
DrinkyBird (reporter)
2021-12-22 22:10

Yep, Doomseeker seems to use the country given by the server correctly. The option to always use IP2C works too.
User avatar (0021996)
WubTheCaptain (developer)
2021-12-23 12:02

Suggesting to update the copyright headers in files for significant rewrites like these.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: WubTheCaptain
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2021-12-12 22:43 DrinkyBird New Issue
2021-12-12 22:44 DrinkyBird Note Added: 0021887
2021-12-12 23:02 DrinkyBird Note Edited: 0021887 View Revisions
2021-12-12 23:05 WaTaKiD Relationship added related to 0003894
2021-12-12 23:06 WaTaKiD Note Added: 0021889
2021-12-13 01:01 Pol M Status new => confirmed
2021-12-13 07:37 Zalewa Note Edited: 0021887 View Revisions
2021-12-21 10:44 Zalewa Assigned To => Zalewa
2021-12-21 10:44 Zalewa Status confirmed => assigned
2021-12-21 13:45 Zalewa Note Added: 0021965
2021-12-21 13:45 Zalewa Status assigned => needs review
2021-12-21 17:23 DrinkyBird Note Added: 0021967
2021-12-21 17:23 DrinkyBird File Added: doomseekerCountryTooltip.png
2021-12-21 17:26 DrinkyBird Note Edited: 0021967 View Revisions
2021-12-21 19:32 Zalewa Note Added: 0021969
2021-12-21 19:32 Zalewa Status needs review => assigned
2021-12-22 19:32 Zalewa Note Added: 0021978
2021-12-22 19:32 Zalewa Status assigned => needs testing
2021-12-22 20:42 WaTaKiD Note Added: 0021983
2021-12-22 22:10 DrinkyBird Note Added: 0021987
2021-12-23 00:31 Zalewa Status needs testing => resolved
2021-12-23 00:31 Zalewa Fixed in Version => 1.3.3
2021-12-23 00:31 Zalewa Resolution open => fixed
2021-12-23 09:29 Zalewa Note Added: 0021993
2021-12-23 09:30 Zalewa Note Deleted: 0021993
2021-12-23 12:02 WubTheCaptain Note Added: 0021996
2021-12-28 12:29 WubTheCaptain Target Version => 1.3.3






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2022 MantisBT Team
Powered by Mantis Bugtracker